OracleVM 3.3 : openssl (OVMSA-2014-0012)

This script is Copyright (C) 2014-2017 Tenable Network Security, Inc.


Synopsis :

The remote OracleVM host is missing a security update.

Description :

The remote OracleVM system is missing necessary patches to address
critical security updates :

- fix CVE-2014-3505 - doublefree in DTLS packet processing

- fix CVE-2014-3506 - avoid memory exhaustion in DTLS

- fix CVE-2014-3507 - avoid memory leak in DTLS

- fix CVE-2014-3508 - fix OID handling to avoid
information leak

- fix CVE-2014-3509 - fix race condition when parsing
server hello

- fix CVE-2014-3510 - fix DoS in anonymous (EC)DH handling
in DTLS

- fix CVE-2014-3511 - disallow protocol downgrade via
fragmentation

See also :

http://www.nessus.org/u?9b4946f8

Solution :

Update the affected openssl package.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 5.6
(CVSS2#E:F/RL:OF/RC:ND)
Public Exploit Available : true

Family: OracleVM Local Security Checks

Nessus Plugin ID: 79536 ()

Bugtraq ID: 69075
69076
69078
69079
69081
69082
69084

CVE ID: CVE-2014-3505
CVE-2014-3506
CVE-2014-3507
CVE-2014-3508
CVE-2014-3509
CVE-2014-3510
CVE-2014-3511

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now